# Special case: the anonymous user

| Description                    | The anonymous user is a very particular case: this user only exists to make the tracking possible for users who do not hold an account on the Chamilo portal. Thanks to this mechanism, the *anonymous* user can do most operations a learner can do, but only within courses marked as *public.* |
| ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Permissions in a public course | By default, he can :                                                                                                                                                                                                                                                                              |
| Global permissions             | By default, he can :                                                                                                                                                                                                                                                                              |

There are a few special things you should also know about the aonymous user:

* it is the only role with an ID of 6 (if you search for anonymous users in your database, it's easy to find)
* anonymous users are shared by the anonymous people connecting to your portal.
* if you need public courses with tracking and it seems all your users are seeing weird live results when taking tests, this might be due to many anonymous users using the same entry in the database. You can reduce the impact of the number of users upon that tracking by creating more anonymous users. Just create them as student through the admin interface and set status=6 in the database


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/1.11.x/admin-guide/users_management/user_roles/special_case_the_anonymous_user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
